@charset "utf-8";

button, input[type="submit"], input[type="reset"] {
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
}

.form-group
{
    margin-bottom: 1rem;
}

/* INICIO INPUTS */
input:-webkit-autofill, input:focus:-webkit-autofill {
    -webkit-text-fill-color: var(--input-text-color) !important;
    -webkit-box-shadow: 0 0 0 1000px white inset !important;
}
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus,
select:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: var(--input-text-color) !important;
    -webkit-box-shadow: 0 0 0 1000px white inset !important;
}

/* INICIO INPUTS MATERIAL KIT */

.form-check .form-check-input:checked~.circle .check
{
    -webkit-transform: scale3d(1, 1, 1);
    -moz-transform: scale3d(1, 1, 1);
    -o-transform: scale3d(1, 1, 1);
    -ms-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
}

.form-check .form-check-label .circle:before
{
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    background-color: rgba(0, 0, 0, 0.80);
}

.form-check .form-check-input:checked ~ .circle {
    border-color: var(--primary);
}
.form-check .form-check-label .circle .check {
    background-color: var(--primary);
    /*left: -1px !important;*/
    /*top: -1px !important;*/
    left: 4px !important;
    top: 4px !important;
}
.form-check .form-check-label .circle {
    border: 1px solid var(--primary);
    width: 25px;
    height: 25px;
}
.form-check .form-check-sign .check
{
    border-color: var(--checkbox-color);
    border-radius: 1px;
    background-color: #FFF;
}
.form-check .form-check-input:checked + .form-checkbox-text + .form-check-sign .check, .form-check .form-check-input:checked + .form-check-sign .check {
    background: var(--secondary) !important;
}
.form-check .form-check-input:checked+.form-checkbox-text+.form-check-sign .check:before, .form-check .form-check-input:checked+.form-check-sign .check:before
{
    color: #FFF !important;
}
.form-check, .form-check
{
    vertical-align: text-top;
}
.form-check
{
    margin-bottom: 0;
    position: relative;
}
.form-check .form-check-label span
{
    line-height: 140%;
}
.form-check .form-check-sign:before
{
    display: block;
    position: absolute;
    left: 5px;
    content: "";
    background-color: rgba(0, 0, 0, 0.84);
    height: 10px;
    width: 8px;
    border-radius: 100%;
    z-index: 1;
    opacity: 0;
    margin: 0;
    top: 5px;
    -webkit-transform: scale3d(2.3, 2.3, 1);
    -moz-transform: scale3d(2.3, 2.3, 1);
    -o-transform: scale3d(2.3, 2.3, 1);
    -ms-transform: scale3d(2.3, 2.3, 1);
    transform: scale3d(2.3, 2.3, 1);

    display: none;
}
/* FIN INPUTS MATERIAL KIT */
/* Este es el propio de bootstrap, pero como si pongo la clase form-control se pone el material kit le cambio el nombre*/
.form-control-b
{
    display: block;
    width: 100%;
    /*padding: 0.375rem 0.75rem;*/
    padding: 0.375rem 15px;
    font-size: 1rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #888888;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

label, .tituloLabel
{
    font-size: 15px;
    color: var(--label-color);
    margin-bottom: 5px;

    font-weight: 700;
    line-height: normal;
}
label a,
.modal-body label a:not(.btnStandard)
{
    color: var(--label-color);
}
.checkbox label, .form-check label
{
    vertical-align: top;
}
.checkbox label a:hover,.form-check label a:hover, label a:hover, .modal-body label a:not(.btnStandard):hover
{
    color: var(--label-color-hover);
    text-decoration: underline;
}
.form-check .form-check-label
{
    margin-bottom: 0;
    color: var(--label-color);

    font-size: 15px;
    font-weight: 400;
}
.form-check.radio .form-check-label
{
    padding-left: 35px;
    padding-top: 3px;
}
.form-check .form-check-label span.form-checkbox-text {
    position: relative;
    top: -3px;
}

input[type="search"],input[type="text"],input[type="email"],input[type="password"],form textarea.form-control-b,select.form-control-b
{
    font-family: Muli, serif;
    font-weight: 400;
    color: var(--input-text-color) !important;
    font-size: 15px !important;
    outline: none;
    height: 55px;
    border: 2px solid var(--secondary);
    border-radius: 5px;
    resize: none;
    background-color: white;
    padding: 5px 15px;
}
#frmConsultaContacto
{
    height: 130px;
}
.form-control::placeholder, .form-control-b::placeholder {
    color: var(--input-placeholder-color);
    opacity: 1;
}
.form-control:focus, .form-control-b:focus
{
    border-color: var(--secondary);
}
.form-control::placeholder:focus, .form-control-b::placeholder:focus
{
    color: var(--input-placeholder-color) !important;
}
select::-ms-expand {
    display: none;
}
input[type="search"]:focus,input[type="email"]:focus,input[type="password"]:focus,input[type="text"]:focus,textarea:focus,select.form-control-b:focus,#formMensaje:focus,input[type="radio"]:focus
{
    color: var(--input-text-color) !important;
    outline:none;
    box-shadow:none;
}
.form-control, .form-control-b
{
    box-shadow:none;
}
.form-control::-moz-placeholder,
.form-control::-webkit-input-placeholder
{
    color: var(--input-placeholder-color);
    opacity: 1;
}
.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control, .form-control-b[disabled], .form-control-b[readonly], fieldset[disabled] .form-control-b
{
    color: #AFAFAF !important;
    background-color: #F1F1F1;
    border-color: #F1F1F1;
}
.form-control-b[disabled] + i, .form-control-b[readonly] + i, fieldset[disabled] .form-control-b + i
{
    color: #AFAFAF;
}
div[data-href]
{
    cursor: pointer;
}
/* CUSTOMIZE INPUTS, SELECT... */
.custom-radio .custom-control-input:checked ~ .custom-control-label::before {
    background-color: #043C79 !important;
}
.custom-control.custom-radio
{
    margin-left: 15px;
    margin-right: -15px;
}
.custom-checkbox .custom-control-input:checked ~ .custom-control-label::before {
    background-color: #043C79 !important;
}
/* FIN CUSTOMIZE INPUTS, SELECT... */

.input-icon
{
    position: relative;
}
.input-icon i, .input-icon img
{
    position: absolute;
    color: var(--primary);
    font-size: 16px;
    right: 30px;
    bottom: 19px;
    pointer-events: none;
}
.input-icon img {
    right: 20px;
    bottom: 14px;
}
.input-icon.no-col i, .input-icon.no-col img
{
    right: 18px;
}
select.form-control-b {
    padding: 0 30px 0 20px !important;
    -webkit-padding-end: 30px !important;
    -webkit-padding-start: 20px !important;
    -webkit-appearance: none;
    -moz-appearance: none;
}
input.error, select.error, form textarea.error, div.styled select.error
{
    color: var(--red) !important;
    border-color: var(--red) !important;
}
select.error + i{color: var(--red) !important;}

.form-control.error {
    background-image: linear-gradient(to top, #043C79 2px, rgba(156, 39, 176, 0) 2px), linear-gradient(to top, var(--red) 1px, rgba(210, 210, 210, 0) 1px) !important;
}
input.error::-webkit-input-placeholder
{ /* Chrome/Opera/Safari */
    color: var(--red);
}
textarea.error::-webkit-input-placeholder {
    color: var(--red);
}
input.error::-moz-placeholder { /* Firefox 19+ */
    color: var(--red);
}
textarea.error::-moz-placeholder {
    color: var(--red);
}
input.error:-ms-input-placeholder { /* IE 10+ */
    color: var(--red);
}
textarea.error:-ms-input-placeholder {
    color: var(--red);
}
input.error:-moz-placeholder { /* Firefox 18- */
    color: var(--red);
}
textarea.error:-moz-placeholder { /* Firefox 18- */
    color: var(--red);
}
form .form-control:focus
{
    /*	border:1px solid #22889A;	*/
}
form textarea.form-control
{
    transition:none;
}

@supports (-webkit-touch-callout: none)
{
    /* CSS specific to iOS devices */
    .form-check .form-check-input:checked + .form-checkbox-text + .form-check-sign .check, .form-check .form-check-input:checked + .form-check-sign .check
    {
        background: var(--primary) !important;
    }

    .form-check .form-check-input:checked+.form-checkbox-text+.form-check-sign .check:before, .form-check .form-check-input:checked+.form-check-sign .check:before
    {
        color: #FFF !important;
    }
}


.bootstrap-select
{
    height: 55px;
    border-color: var(--primary);
    border-width: 2px;
    padding: 0;
    border-radius: 10px;
}
.bs-searchbox .form-control
{
    margin-bottom: 0;
    width: 100%;
    float: none;
    height: 40px;
    border: 1px solid var(--primary) !important;
    box-shadow: none;
    background: white !important;
}
.bootstrap-select.disabled, .bootstrap-select>.disabled
{
    background-color: #F1F1F1 !important;
    border-color: #F1F1F1;
}
/*.bootstrap-select.error
{
	border-color: #ff4d4d;
}*/
.bootstrap-select > .dropdown-menu > .inner
{
    font-size: 15px;
    margin-left: -2px;
    min-width: calc(100% + 4px);
}
.bootstrap-select .dropdown-menu
{
    overflow-x: hidden;
    max-height: 300px;
    z-index: 1000000;
}
.bootstrap-select .dropdown-menu .dropdown-item
{
    font-size: 15px;
    color: var(--input-text-color);
    padding-left: 20px;
    padding-right: 15px;
}
.bootstrap-select .dropdown-menu .disabled .dropdown-item
{
    color: var(--input-placeholder-color);
}
.bootstrap-select .dropdown-menu .dropdown-item:hover
{
    color: var(--primary) !important;
}
.bootstrap-select .dropdown-item.active:not(.disabled), .bootstrap-select .dropdown-item:active:not(.disabled)
{
    background-color: #FFF;
}
.filter-option-inner-inner
{
    color: var(--input-text-color) !important;
    font-size: 15px;
    font-weight: 400;
}
.bootstrap-select .bs-placeholder .filter-option-inner-inner
{
    color: var(--input-placeholder-color) !important;
}
.error + button .filter-option-inner-inner,
.error + button.bs-placeholder .filter-option-inner-inner
{
    color: #ff4d4d !important;
}

.bootstrap-select button{height: 100%; border: none; border-radius: 100px;padding-left: 20px; background-color: white !important; padding-right: 40px;}
.bootstrap-select .dropdown-toggle .filter-option
{
    display: flex;
    align-items: center;
    font-size: 16px;
}
.bootstrap-select>.dropdown-toggle:after
{
    display: none;
}

.bootstrap-select .dropdown-toggle:focus, .bootstrap-select>select.mobile-device:focus+.dropdown-toggle,
.btn-light:not(:disabled):not(.disabled):active:focus, .btn-light:not(:disabled):not(.disabled).active:focus, .show > .btn-light.dropdown-toggle:focus
{
    outline: none !important;
    background-color: white;
    box-shadow: none;
}
.btn-light:not(:disabled):not(.disabled):active, .btn-light:not(:disabled):not(.disabled).active, .show > .btn-light.dropdown-toggle
{
    background-color: white;
    border-color: #E21DAD;
}

/* clears the ‘X’ from Internet Explorer */
input[type=search]::-ms-clear
{ display: none; width: 0; height: 0; }

input[type=search]::-ms-reveal
{ display: none; width: 0; height: 0; }

/* clears the ‘X’ from Chrome */
input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration
{ display: none; }